Date   

Re: addons becoming incompatible after beta2 installed

mike mcglashon
 

Well,
If you are talking to me,
It's because,
When I use read to end,
Outlook does something weird and reboots itself,
(closes and reopens);


Please advise as you like.

Mike M.

Mike mcglashon
Email: Michael.mcglashon@comcast.net
Ph: 618 783 9331

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Gene
Sent: Wednesday, December 23, 2020 1:37 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

But your message implies that you read mail down arrowing through it. Why not use read to end?

Gene
-----Original Message-----
From: Chris Smart
Sent: Wednesday, December 23, 2020 12:12 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

Hahaha no worries. I wondered if it was some encoding difference between our email software or something.



On 2020-12-23 12:58 p.m., mike mcglashon wrote:
Oh that's easy;
I write how my thought pattern goes,
I get confused if I put more than one thought per line;

If it makes you feel better,
I get reprimanded for it in law school, All the time;


Please advise as you like.

Mike M.

Mike mcglashon
Email: Michael.mcglashon@comcast.net
Ph: 618 783 9331

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Chris Smart
Sent: Wednesday, December 23, 2020 12:52 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

Mike


just wondering


why you


separate


every couple


of


words


in your


posts


by


a


blank line?














Re: addons becoming incompatible after beta2 installed

Gene
 

But your message implies that you read mail down arrowing through it. Why not use read to end?

Gene

-----Original Message-----
From: Chris Smart
Sent: Wednesday, December 23, 2020 12:12 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

Hahaha no worries. I wondered if it was some encoding difference between
our email software or something.



On 2020-12-23 12:58 p.m., mike mcglashon wrote:
Oh that's easy;
I write how my thought pattern goes,
I get confused if I put more than one thought per line;

If it makes you feel better,
I get reprimanded for it in law school,
All the time;


Please advise as you like.

Mike M.

Mike mcglashon
Email: Michael.mcglashon@comcast.net
Ph: 618 783 9331

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Chris Smart
Sent: Wednesday, December 23, 2020 12:52 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

Mike


just wondering


why you


separate


every couple


of


words


in your


posts


by


a


blank line?














Re: Looking for newest vocalizer driver

Rui Fontes
 

Hello!


Please, note that our automatic language switching system only works between languages belonging to different groups of characters used, by instance from hebrew to english, english to chinese and so on...

To other changes, by instance from english to portuguese, it relies on the NVDA automatic language switcing method, and this one relies in the app information... Some apps that inform the screen reader to change language are Word, browsers, Acrobate and some others...




Those apps only can request a language change if the text author have correctly marked that...


If you can send us some examples where the automatic language switching does not work...


Rui Fontes

Tiflotecnia, Lda.



Às 17:32 de 23/12/2020, darkmad88@... escreveu:

Hello!
1.  Problem exists in any app i tried: Firefox(different versions), Chromium and some other Chromium-based browsers, Akelpad, Notepad, any edit field in Windows explorer, Total Commander.
2.I have no special profile for "Say all". Even a creation of clean user config for NVDA without any other addons does not help. Also there is no difference if i use installed or portable copy of NVDA.
Thank you for so quick answer.


Re: addons becoming incompatible after beta2 installed

Chris Smart
 

Hahaha no worries. I wondered if it was some encoding difference between our email software or something.

On 2020-12-23 12:58 p.m., mike mcglashon wrote:
Oh that's easy;
I write how my thought pattern goes,
I get confused if I put more than one thought per line;

If it makes you feel better,
I get reprimanded for it in law school,
All the time;


Please advise as you like.

Mike M.

Mike mcglashon
Email: Michael.mcglashon@comcast.net
Ph: 618 783 9331

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Chris Smart
Sent: Wednesday, December 23, 2020 12:52 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

Mike


just wondering


why you


separate


every couple


of


words


in your


posts


by


a


blank line?













Re: addons becoming incompatible after beta2 installed

mike mcglashon
 

Sorry about that,

It looks like it cut off some of the messages for each addon;

It was supposed to say something like 2019.3 after each addon;

 

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of mike mcglashon
Sent: Wednesday, December 23, 2020 1:03 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

 

Here is what I found whenst opening the “manage addons” dialogue;

 

The following add-ons are incompatible with NVDA version 2020.4. These add-ons can not be enabled.

Please contact the add-on author for further assistance.

Incompatible add-ons

Package Version Incompatible reason

DictationBridge Demo 0.1 An updated version of this add-on is required. T...

Golden Cursor moves the ... 1.2 An updated version of this add-on is required. T...

PC Keyboard Braille Input 2014.1 An updated version of this add-on is required. T...

Remote Support 2.2 An updated version of this add-on is required. T...

Resource Monitor 17.11 An updated version of this add-on is required. T...

Windows 10 App Essentia... 19.01.1 An updated version of this add-on is required. T...

 

About add-on... C

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Joseph Lee
Sent: Wednesday, December 23, 2020 12:54 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

 

Hi Mike,

Which add-ons are seen as incompatible with NVDA? To find out, open Add-ons Manager (NvDA menu/Tools/Manage add-ons), then select “view incompatible add-ons” and scroll through the list. The latest backwards incompatible version of NVDA is 2019.3 (due to Python 3 transition), and 2020.4 beta is not a compatibility breaking release, so the list of incompatible add-ons should not be that big.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of mike mcglashon
Sent: Wednesday, December 23, 2020 9:42 AM
To: nvda@nvda.groups.io
Subject: [nvda] addons becoming incompatible after beta2 installed

 

Hi guys:

Installed nvda beta2 this morning;

When I did,

Many of my addons became incompatible, and,

I had to check a box claiming I understand this before installation;

Hence,

My question is,

How and where do I get the newer versions of the addons allegedly incompatible?

And,

Am I simply screwed if the author of the addon hasn’t updated it to the newest version of nvda?

 

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 


Re: addons becoming incompatible after beta2 installed

mike mcglashon
 

Here is what I found whenst opening the “manage addons” dialogue;

 

The following add-ons are incompatible with NVDA version 2020.4. These add-ons can not be enabled.

Please contact the add-on author for further assistance.

Incompatible add-ons

Package Version Incompatible reason

DictationBridge Demo 0.1 An updated version of this add-on is required. T...

Golden Cursor moves the ... 1.2 An updated version of this add-on is required. T...

PC Keyboard Braille Input 2014.1 An updated version of this add-on is required. T...

Remote Support 2.2 An updated version of this add-on is required. T...

Resource Monitor 17.11 An updated version of this add-on is required. T...

Windows 10 App Essentia... 19.01.1 An updated version of this add-on is required. T...

 

About add-on... C

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Joseph Lee
Sent: Wednesday, December 23, 2020 12:54 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

 

Hi Mike,

Which add-ons are seen as incompatible with NVDA? To find out, open Add-ons Manager (NvDA menu/Tools/Manage add-ons), then select “view incompatible add-ons” and scroll through the list. The latest backwards incompatible version of NVDA is 2019.3 (due to Python 3 transition), and 2020.4 beta is not a compatibility breaking release, so the list of incompatible add-ons should not be that big.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of mike mcglashon
Sent: Wednesday, December 23, 2020 9:42 AM
To: nvda@nvda.groups.io
Subject: [nvda] addons becoming incompatible after beta2 installed

 

Hi guys:

Installed nvda beta2 this morning;

When I did,

Many of my addons became incompatible, and,

I had to check a box claiming I understand this before installation;

Hence,

My question is,

How and where do I get the newer versions of the addons allegedly incompatible?

And,

Am I simply screwed if the author of the addon hasn’t updated it to the newest version of nvda?

 

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 


Re: addons becoming incompatible after beta2 installed

mike mcglashon
 

Oh that's easy;
I write how my thought pattern goes,
I get confused if I put more than one thought per line;

If it makes you feel better,
I get reprimanded for it in law school,
All the time;


Please advise as you like.

Mike M.

Mike mcglashon
Email: Michael.mcglashon@comcast.net
Ph: 618 783 9331

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of Chris Smart
Sent: Wednesday, December 23, 2020 12:52 PM
To: nvda@nvda.groups.io
Subject: Re: [nvda] addons becoming incompatible after beta2 installed

Mike


just wondering


why you


separate


every couple


of


words


in your


posts


by


a


blank line?


Re: NVDA 2020.4 Beta 2 is now available

Christo de Klerk
 

Hi Quentin and others

Many thanks for including the Afrikaans grade 2 table. I really appreciate it.

Kind regards

Christo


On 2020/12/23 05:30pm, Quentin Christensen wrote:
Hi everyone,

NVDA 2020.4 Beta2 is now available for download & testing. Since Beta1 we added Afrikaans Grade 2 braille, fixed reporting incorrect information when copying fails, QWERTY input with Papenmeier braille displays & an error affecting some add-ons. More at: https://www.nvaccess.org/post/nvda-2020-4beta2/

--
Quentin Christensen
Training and Support Manager



Re: addons becoming incompatible after beta2 installed

 

Hi Mike,

Which add-ons are seen as incompatible with NVDA? To find out, open Add-ons Manager (NvDA menu/Tools/Manage add-ons), then select “view incompatible add-ons” and scroll through the list. The latest backwards incompatible version of NVDA is 2019.3 (due to Python 3 transition), and 2020.4 beta is not a compatibility breaking release, so the list of incompatible add-ons should not be that big.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of mike mcglashon
Sent: Wednesday, December 23, 2020 9:42 AM
To: nvda@nvda.groups.io
Subject: [nvda] addons becoming incompatible after beta2 installed

 

Hi guys:

Installed nvda beta2 this morning;

When I did,

Many of my addons became incompatible, and,

I had to check a box claiming I understand this before installation;

Hence,

My question is,

How and where do I get the newer versions of the addons allegedly incompatible?

And,

Am I simply screwed if the author of the addon hasn’t updated it to the newest version of nvda?

 

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 


Re: a little two tone noise

Chris Smart
 

If you mean the descending tritone piano, (C F-sharp) sound, I believe that plays when NVDA has encountered an error. I don't think you have to do anything.



On 2020-12-23 12:44 p.m., mike mcglashon wrote:

Hey guys:

Again another question I’ve been meaning to ask,

What is the new “two tone” noise I hear once in a while;

I can’t seem to make it repeat in predictable circumstances?

Is it something useful (I know that is a subjective term);

I guess I’m asking if the noise is supposedly alerting me to something?

 

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 


Re: addons becoming incompatible after beta2 installed

Chris Smart
 

Mike


just wondering


why you


separate


every couple


of


words


in your


posts


by


a


blank line?


Re: a little two tone noise

 

Hi,

If you are using beta or an alpha snapshot, the two piano tones will let you know something has occurred that may warrant your attention, mostly dealing with errors.

Cheers,

Joseph

 

From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of mike mcglashon
Sent: Wednesday, December 23, 2020 9:45 AM
To: nvda@nvda.groups.io
Subject: [nvda] a little two tone noise

 

Hey guys:

Again another question I’ve been meaning to ask,

What is the new “two tone” noise I hear once in a while;

I can’t seem to make it repeat in predictable circumstances?

Is it something useful (I know that is a subjective term);

I guess I’m asking if the noise is supposedly alerting me to something?

 

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 


a little two tone noise

mike mcglashon
 

Hey guys:

Again another question I’ve been meaning to ask,

What is the new “two tone” noise I hear once in a while;

I can’t seem to make it repeat in predictable circumstances?

Is it something useful (I know that is a subjective term);

I guess I’m asking if the noise is supposedly alerting me to something?

 

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 


addons becoming incompatible after beta2 installed

mike mcglashon
 

Hi guys:

Installed nvda beta2 this morning;

When I did,

Many of my addons became incompatible, and,

I had to check a box claiming I understand this before installation;

Hence,

My question is,

How and where do I get the newer versions of the addons allegedly incompatible?

And,

Am I simply screwed if the author of the addon hasn’t updated it to the newest version of nvda?

 

 

Please advise as you like.

 

Mike M.

 

Mike mcglashon

Email: Michael.mcglashon@...

Ph: 618 783 9331

 


Re: Looking for newest vocalizer driver

darkmad88@...
 

Hello!
1.  Problem exists in any app i tried: Firefox(different versions), Chromium and some other Chromium-based browsers, Akelpad, Notepad, any edit field in Windows explorer, Total Commander.
2.I have no special profile for "Say all". Even a creation of clean user config for NVDA without any other addons does not help. Also there is no difference if i use installed or portable copy of NVDA.
Thank you for so quick answer.


Re: Working with Python in NVDA

 

Hi,
You will need Python 3.7. Liblouis bindings cannot be found in Python 3.8 or
later unless os.add_dll_directory (function/context manager) is called from
NvDA side, and I resolved it in a branch I'm working on to port NVDA to
Python 3.8 and later (it actually works apart from needing to install Python
3.8 specific dependencies):
https://github.com/josephsl/nvda
The branch to check out is "walrus" (without quotes) in reference to the
walrus operator (:=), which makes certain conditional statements easier to
read and digest (walrus operator, or assignment expression, was introduced
in Python 3.8). In the coming days, I will be releasing a really bleeding
edge version of NVDA (based on latest alpha snapshot), or for that matter,
two builds:
* Python 3.7 with wxPython GUI toolkit update (version 4.1.1)
* Python 3.8 with wxPython GUI toolkit update (4.1.1)

IMPORTANT: these bleeding-edge snapshots will come from my own fork of NVDA
and thus is unsupported by NV Access i.e. these are prototypes. The first
build will not affect add-ons that much, whereas the second build will break
at least one add-on and will cause BRLTTY support features to not function.
Both builds will have GUI toolkit related bugs, the most important being
NVDA will appear to freeze when you open NVDA's about dialog and similar
dialogs.
Cheers,
Joseph

-----Original Message-----
From: nvda@nvda.groups.io <nvda@nvda.groups.io> On Behalf Of John J. Boyer
Sent: Wednesday, December 23, 2020 8:32 AM
To: nvda@nvda.groups.io
Subject: [nvda] Working with Python in NVDA

Hello Everyone,

I recently installed Python 3.9 on my Windows 10 desktop machine.
The first thing I noticed was that the statement import louis produces an
error,because the liblouis python bindings cannot be found.

At launch opens a console-like IDE. NVDA handles editing of lines nicely,
but there is no way to read previous lines except by pressing numpad 7.
There is also no wayh to
view the entire window, starting at the top.
I've also used NVDA with the Bash subsystem and ssh, with the same problem.

Any comments will be welcome.

Thanks,
John

--
John J. Boyer
Email: john.boyer@abilitiessoft.org
website: http://www.abilitiessoft.org
Status: Company dissolved but website and email addresses live.
Location: Madison, Wisconsin, USA
Mission: developing assistive technology software and providing STEM
services
that are available at no cost


Working with Python in NVDA

John J. Boyer
 

Hello Everyone,

I recently installed Python 3.9 on my Windows 10 desktop machine.
The first thing I noticed was that the statement import louis produces an error,because the liblouis python bindings cannot be found.

At launch opens a console-like IDE. NVDA handles editing of lines nicely, but there is no way to read previous lines except by pressing numpad 7.
There is also no wayh to
view the entire window, starting at the top.
I've also used NVDA with the Bash subsystem and ssh, with the same problem.

Any comments will be welcome.

Thanks,
John

--
John J. Boyer
Email: john.boyer@abilitiessoft.org
website: http://www.abilitiessoft.org
Status: Company dissolved but website and email addresses live.
Location: Madison, Wisconsin, USA
Mission: developing assistive technology software and providing STEM services
that are available at no cost


Re: NVDA 2020.4 Beta 2 is now available

Rosemarie Chavarria
 

Hi, Quentin,

 

I just downloaded this new version of NVDA and so-far it’s working great.

 

Rosemarie

 

 

 

Sent from Mail for Windows 10

 

From: Quentin Christensen
Sent: Wednesday, December 23, 2020 7:31 AM
To: nvda@nvda.groups.io
Subject: [nvda] NVDA 2020.4 Beta 2 is now available

 

Hi everyone,

 

NVDA 2020.4 Beta2 is now available for download & testing. Since Beta1 we added Afrikaans Grade 2 braille, fixed reporting incorrect information when copying fails, QWERTY input with Papenmeier braille displays & an error affecting some add-ons. More at: https://www.nvaccess.org/post/nvda-2020-4beta2/

 

--

Quentin Christensen
Training and Support Manager

 

 


NVDA 2020.4 Beta 2 is now available

Quentin Christensen
 

Hi everyone,

NVDA 2020.4 Beta2 is now available for download & testing. Since Beta1 we added Afrikaans Grade 2 braille, fixed reporting incorrect information when copying fails, QWERTY input with Papenmeier braille displays & an error affecting some add-ons. More at: https://www.nvaccess.org/post/nvda-2020-4beta2/

--
Quentin Christensen
Training and Support Manager


Re: Looking for newest vocalizer driver

Rui Fontes
 

Hello!


To start debugging, two questions:

1 - In what apps are you trying the automatic language switching with SayAll?


2 - Have you any NVDA profil to sayAll?

If so, check if automatic language switching is on.


Best regards,


Customer support

Tiflotecnia, Lda.


Às 13:52 de 23/12/2020, darkmad88@... escreveu:

Hello, Rui! This driver works almost fine in my case, but there is one issue: automatic language switching doesn't work in "Say all" mode. I tried different russian+english voice combinations andsettings for automatic lang switching. It works fine in all modes except "Say all". Is there a chance to fix this?
Best regards and thank you for your work!

6581 - 6600 of 86461